Bug 72916 - kudzu causes inconsistent initrd
kudzu causes inconsistent initrd
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-28 20:12 EDT by Willem Riede
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-27 19:18:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Willem Riede 2002-08-28 20:12:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install null with OnStream FW-30 connected
2.Complete first boot
3.Up2date kernel

Actual Results:  sbp2.o gets included in initrd, but ieee1394 and ohci1394 are
not there, so the insmod sbp2.o fails (lots of missing symbols reported on the

Expected Results:  sbp2.o should not be there, so there is no insmod failure.

Additional info:

Since the OnStream FW-30 is a tape drive, not a disk that could contain a file
system that matters during boot, there is no reason for kudzu to cause sbp2 to
show up in an initrd.

Here is what my initrd looks like:

[root@fallguy tmp]$ zcat /boot/initrd-2.4.18-12.2.img >/tmp/initrd
[root@fallguy tmp]# mount -o loop -t ext2 /tmp/initrd /mnt/floppy
[root@fallguy tmp]# ls /mnt/floppy
bin  dev  etc  lib  linuxrc  loopfs  proc  sbin  sysroot
[root@fallguy tmp]# ls /mnt/floppy/lib
ext3.o  jbd.o  sbp2.o  scsi_mod.o  sd_mod.o
[root@fallguy tmp]#

Concretely, this is caused by kudzu's creation of the following line in

alias scsi_hostadapter sbp2

This is how a FW-30 shows up:

[wriede@fallguy wriede]$ cat /proc/scsi/scsi
Attached devices:
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: OnStream Model: FW-30            Rev: 109E
  Type:   Sequential-Access                ANSI SCSI revision: 02
Comment 1 Bill Nottingham 2002-08-30 19:19:12 EDT
Can you post your /proc/bus/ieee1394/devices file?

Comment 2 Bill Nottingham 2002-08-30 19:21:17 EDT
initrd stuff fixed in 3.4.25-1.
Comment 3 Willem Riede 2002-08-30 19:50:28 EDT
Node[00:1023]  GUID[00004c0100000d36]:
  Vendor ID: `Linux OHCI-1394' [0x00004c]
  Capabilities: 0x0083c0
  Bus Options:
    IRMC(0) CMC(1) ISC(1) BMC(0) PMC(0) GEN(0)
    LSPD(2) MAX_REC(1024) CYC_CLK_ACC(0)
  Host Node Status:
    Host Driver     : ohci1394
    Nodes connected : 2
    Nodes active    : 2
    SelfIDs received: 2
    Irm ID          : [00:1023]
    BusMgr ID       : [00:1023]
    In Bus Reset    : no
    Root            : no
    Cycle Master    : no
    IRM             : yes
    Bus Manager     : yes
Node[01:1023]  GUID[0030dd001000b1b0]:
  Vendor ID: `' [0x0030dd]
  Capabilities: 0x0083c0
  Bus Options:
    IRMC(0) CMC(0) ISC(0) BMC(0) PMC(0) GEN(0)
    LSPD(2) MAX_REC(64) CYC_CLK_ACC(255)
  Unit Directory 0:
    Vendor/Model ID:  [0030dd] / SYM13FW500-TAPE DRIVE [000000]
    Software Specifier ID: 00609e
    Software Version: 010483
    Driver: SBP2 Driver
    Length (in quads): 8
Comment 4 Bill Nottingham 2003-02-27 19:18:12 EST
firewire and usb-storage aren't put in the initrd in current mkinitrd packages.

Note You need to log in before you can comment on or make changes to this bug.